<?php
class ControllerExtensionPaymentpartpay extends Controller {

	public function index() {
		$this->load->language('extension/payment/partpay');

		// $data['button_confirm'] = $this->language->get('button_confirm');
		// $data['button_pay'] = $this->language->get('button_pay');

		$this->load->model('checkout/order');
		$order_id = $this->session->data['order_id'];
		$order_info = $this->model_checkout_order->getOrder($order_id);
    /*$order_status_id = 1;
    $this->model_checkout_order->addOrderHistory($order_id, $order_status_id);*/

		$amount = $this->currency->format($order_info['total'], $order_info['currency_code'], $order_info['currency_value'], false);

		$this->log->write($order_info);
		$this->log->write($amount);

		$request = new stdClass();

		$this->load->model('extension/payment/partpay');
		$this->model_extension_payment_partpay->init_environment_config();
		$template = 'partpay';
		$result = $this->model_extension_payment_partpay->getCheckoutUrl($order_info, $this->cart);

		if($result['result'] !== 'fail') {
			$data['redirectUrl'] = $result['redirect'];
		} else {
			$data['errors'] = $result['errors'];
		}

		$data['serviceName'] = $this->model_extension_payment_partpay->serviceName();
		$data['proceedImageUrl'] = $this->model_extension_payment_partpay->proceedImageUrl();
		$data['proceedMessage'] = $this->model_extension_payment_partpay->proceedMessage();
		
		return $this->load->view('extension/payment/' . $template, $data);
	}

	public function callback() {
		$this->load->language('extension/payment/partpay');
	}
}
